zwo=['μοσχάρι ','αρνι ', 'κατσικι']
timi=[4,3,3.5]
arxeio=open("d:/arxeia/paragogi.txt",'r')
synola={}# κλειδι είναι ο ΑΜ του παραγωγού. περιεχομενο λιστα με το όνομά του
            # και  το βάρος για κάθε κατηγορία ζώου.
syn_var=[0,0,0]
for rec in arxeio:

    rec=rec.strip()
    pedia=rec.split(',')

    am=int(pedia[0])
    eponymia=pedia[1]
    code_z=int(pedia[2])
    eidos=int(pedia[3])
    im=int(pedia[4])
    mi=int(pedia[5])
    etos=int(pedia[6])
    varos=float(pedia[7])
    if am in synola: # ο παραγωγος ήδη υπάρχει στο λεξικό
        lista=synola[am] # lista=synola.get(am) λαμβάνω την λίστα με τα αθροίσματα
                         # του συγκεκριμένου παραγωγού
        lista[eidos]=lista[eidos]+varos # αυξάνω το βάρος για το αντίστοιχο
                                            # ειδος ζώου
        synola[am]=lista  # επαντοποθετείται στο λεξικό
    else:
        lista=[eponymia,0,0,0] # δημιουργεί μία λίστα με περιεχόμενο
                                # το όνομα του παραγωγού και 3 μηδενικά
        lista[eidos]=varos
        synola[am]=lista

    syn_var[eidos-1]=syn_var[eidos-1]+varos
    #print(syn_var)


for i in range(3):
    print(i+1,zwo[i],syn_var[i],"kgr")
print('++++++++++++++')
for par in synola:
    lista=[0,0,0]
    parag=synola[par]
    print(par,parag[0],'\t',end=' ')
    for i in range(3):
        lista[i]=parag[i+1]*timi[i]
        print(lista[i], '\t', end=' ' )
    print(" ")
arxeio.close()
